# isoTimeToRippleTime | xrpl
Documentation for xrpl

# Function isoTimeToRippleTime

- isoTimeToRippleTime(iso8601: string | Date): number

- Convert an ISO8601 timestmap to a ripple timestamp.

  ### Returns

  Seconds since ripple epoch (1/1/2000 GMT).

  #### Parameters

  - ##### iso8601: string | Date

    International standard date format.

  #### Returns number

  - Defined in packages/xrpl/src/utils/timeConversion.ts:43

Generated using TypeDoc